/**
 *******************************************************************************
 * @file    tmpm3Vx_rtc_int.h
 * @brief   All interrupt request functions prototypes of RTC
 *          for the TOSHIBA 'TMPM3Vx' Device Series
 * @version V0.200
 * @date    2019/05/10
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 *
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM3Vx_RTC_INT_H
#define __TMPM3Vx_RTC_INT_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* User ram declaration */
extern uint8_t fRTC_1HZ_INT;

void INTRTC_IRQHandler(void);

#endif                          /* __TMPM3Vx_RTC_INT_H */
