/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMRB_PPG demo for the TOSHIBA
 *          'TMPM3Vx' Device Series 
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm3Vx_tmrb.h"
#include "tmrb_LeadingTimingdisplay.h"
#include "sw.h"
#include "common_uart.h"

/* Private define ------------------------------------------------------------*/
#define TMRB6TIME       0x09C4U /* TMRB6 for PPG , Ttmrb = 0.2us, 500us/0.2us = 2500 = 0x09C4 */
#define LEADINGTIMINGMAX         0x05U   /* LEADINGTIMING RATE COUNTER MAX */
#define LEADINGTIMINGINIT        0U      /* LEADINGTIMING RATE COUNTER Initialize */
#define KEYPORT         GPIO_PH /* KEY input port, according to board */

/* External function prototypes ----------------------------------------------*/
#endif
