/**
 *******************************************************************************
 * @file    tmpm3Vx_uart_int.h
 * @brief   interrupt request functions definition of UART_FIFO_Demo 
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM3Vx_UART_INT_H
#define __TMPM3Vx_UART_INT_H

/* Includes ------------------------------------------------------------------*/
#ifdef TMPM3V6
#include "TMPM3V6.h"
#elif TMPM3V4
#include "TMPM3V4.h"
#endif
#include "tmpm3Vx_uart.h"


void INTTX0_IRQHandler(void);
void INTRX1_IRQHandler(void);

void INTRX0_IRQHandler(void);
void INTTX1_IRQHandler(void);
#endif                          /* __TMPM3Vx_UART_INT_H */
