/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of UART_Retarget demo for the TOSHIBA
 *          'TMPM3Vx' Device Series 
 * @version V0.200
 * @date    2019/05/10
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm3Vx_uart.h"
#include "tmpm3Vx_gpio.h"
#include "tmpm3Vx_uart_int.h"
#include "sw.h"
#include "uart.h"
#include <stdio.h>

/* Private define ------------------------------------------------------------*/

#define SW_PORT        SW0

#define SWRELEASE      0U       /* switch RELEASE */
#define UART_RETARGET   UART0
#define RETARGET_INT    INTTX0_IRQn

void delay(void);

/* Private function prototypes -----------------------------------------------*/

#endif
